{

    // 投影剑身体特效触发

    "AbilityName" : "TestPlayer_Ability_SpecialEffect_Scale",

    "AbilityStacking": "Unique",



    "OnAbilityStart" :

    [

        {

            "$type": "MoleMole.ApplyModifier",

            "ModifierName": "TestPlayer_Ability_SpecialEffect_Scale",

            "Target": "Self",

        },

    ],



    "Modifiers" : 

    {

        "TestPlayer_Ability_SpecialEffect_Scale": 

        {

            "ModifierStacking" : "Unique",

            "Duration": -1,

            "OnAdded":

            [

                {

                    "$type": "MoleMole.AttachEffect",

                    "EffectPattern": "Eff_Monster_Claymore_Body_Head",

                    "Target": "Self",

                    "AttachEffectPosRot" : 

                    {

                        "CoordsOption" : "Self",

                        "TargetOption" : 

                        {

                            "$type" : "MoleMole.ConfigPosRotReferTarget",

                            "OffsetReferTarget" : "Self",

                            "AttachPoint" : "MiddlePoint",

                            "IsUseAttachPointPos" : true,

                            "IsUseAttachPointRotation" : true,

                        },

                        "Offset" : 

                        {

                            "PositionOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "AngleOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "IsUseRotationY" : true,

                            "IsUseRotationXZ" : true,

                        }

                    },

                    "EffectScale":

                    {

                        "OverrideScaleX" : 2.0,//特效X轴缩放

                        "OverrideScaleY" : 2.0,//特效Y轴缩放

                        "OverrideScaleZ" : 2.0,//特效Z轴缩放

                    }

                },



                {

                    "$type": "MoleMole.FireEffect",

                    "EffectPattern": "Eff_Monster_Claymore_Body_Head",

                    "Target": "Self",

                    "EffectScale":

                    {

                        "OverrideScaleX" : 2.0,//特效X轴缩放

                        "OverrideScaleY" : 2.0,//特效Y轴缩放

                        "OverrideScaleZ" : 2.0,//特效Z轴缩放

                    }

                },

            ],

        },

    },

}